=== debian/changelog ===
yudit (2.9.2-4) unstable; urgency=low

  * debian/rules
    - fix build with mips* arch, thanks to YunQiang Su <wzssyqa@gmail.com>
      (Closes: #722877)

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 00:01:09 +0900

yudit (2.9.2-3) unstable; urgency=low

  * debian/yudit-doc.install
    - minimalize lines by specifying as "HOWTO-*" 
  * debian/control
    - set "Recommends: libhunspell-1.3-0" to be enable to use syntax highlight.
      And also add "hunspell-en-us | hunspell-dictionary" to Recommends.

 -- Hideki Yamane <henrich@debian.org>  Mon, 08 Apr 2013 09:10:08 +0900

yudit (2.9.2-2) experimental; urgency=low

  * debian/yudit-doc.docs: remove it since duplicate with yudit.docs 
  * debian/yudit-doc.{postinst,prerm}: remove them since it's not necessary
    and cause install error (Closes: #690205)

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Oct 2012 16:51:13 +0900

yudit (2.9.2-1) experimental; urgency=low

  * New upstream release
  * New maintainer (Closes: #594408)
  * debian/control
    - set "Standard-Version: 3.9.4"
    - set "Build-Depends: debhelper (>= 9)"
    - move Homepage: field to correct location
    - yudit: add "Recommends: gv" since yudit uses it to print files by default.
    - yudit: set "Suggests: ttf-mscorefonts-installer" (Closes: #490032)
    - yudit-doc: remove "Depends: yudit (>= ${source:Version})" since it is
      unnecessary strict dependency 
  * debian/compat
    - set 9
  * debian/rules
    - convert to dh style
    - enable hardening by "export DEB_BUILD_MAINT_OPTIONS := hardening=+all"
    - add autoreconf line
  * debian/yudit.desktop: add it to display on GNOME shell
  * debian/yudit.install: add debian/yudit.desktop
  * debian/patches/install-application-png: install png file to
    /usr/share/applications.
  * debian/patches/fix_typo.patch: fix typo.
  * debian/patches/locale-dir-is-usr_share_locale: set locale directory as
    standard /usr/share/locale and put locale files under it.

 -- Hideki Yamane <henrich@debian.org>  Mon, 08 Oct 2012 07:50:00 +0900

yudit (2.8.1-5) unstable; urgency=low

  * QA upload
  * debian/control
    - set appropriate font package (Closes: 644773)

 -- Hideki Yamane <henrich@debian.org>  Fri, 14 Sep 2012 07:35:19 +0900
