=== bin/cluster/Makefile ===
#
# Put a list of scripts here.
#
INDIC=Tamil

CLUSTER_DIR=../../mytool/mys
MYS_DIR=../../mytool/mys
KMAP_DIR=../../mytool/kmap

indic: iscii
	cp cluster.template  $(CLUSTER_DIR)/cluster.mys
	@echo Creating: $(CLUSTER_DIR)/cluster.mys
	@for i in $(INDIC); do \
	        echo Adding $$i to $(CLUSTER_DIR)/cluster.mys; \
		perl $$i.cluster.pl >> $(CLUSTER_DIR)/cluster.mys; \
		if [ $$? != 0 ]; then \
			exit 1; \
		fi;  \
		if [ -f $$i.kmap.pl ]; \
		then \
			echo Creating: $(KMAP_DIR)/$$i.kmap; \
			perl $$i.kmap.pl > $(KMAP_DIR)/$$i.kmap; \
			if [ $$? != 0 ]; then \
				exit 1; \
			fi;  \
		fi;  \
	done

iscii: $(MYS_DIR)/tscii.mys

$(MYS_DIR)/tscii.mys: Tamil.tscii.pl
	perl $< > $@
