=== debian/changelog ===
yudit (2.9.6-7) unstable; urgency=medium

  * debian/control
    - set Recommends: libhunspell-1.6-0 (Closes: #869833)
      Thanks to Jeremy Bicha <jbicha@ubuntu.com>
    - set Build-Depends: debhelper (>= 10)
    - set Standards-Version: 4.0.0
  * debian/compat
    - set 10
  * debian/watch
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Jul 2017 09:46:55 +0900

yudit (2.9.6-6) unstable; urgency=medium

  * debian/control
    - set Recommends: libhunspell-1.4-0 (Closes: #827503) 
    - set Standards-Version: 3.9.8

 -- Hideki Yamane <henrich@debian.org>  Sat, 18 Jun 2016 22:56:30 +0900

yudit (2.9.6-5) unstable; urgency=medium

  * remove debian/yudit.menu to fix "command-in-menu-file-and-desktop-file"
  * debian/control
    - update Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Dec 2015 16:47:50 +0900

yudit (2.9.6-4) unstable; urgency=medium

  * debian/patches
    - add reproducible_build, thanks to Chris Lamb <lamby@debian.org> 
      (Closes: #790088)

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Jul 2015 01:37:24 +0900

yudit (2.9.6-3) unstable; urgency=medium

  * debian/yudit.desktop
    - specify %F for exec entry to fix desktop-mime-but-no-exec-code warning

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jan 2015 21:38:24 +0900

yudit (2.9.6-2) unstable; urgency=medium

  * debian/control
    - update Vcs-Browser field since move to cgit

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Nov 2014 08:48:14 +0900

yudit (2.9.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 3.9.6
  * clean up debian/patches

 -- Hideki Yamane <henrich@debian.org>  Sat, 25 Oct 2014 22:13:04 +0900
