=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, gettext
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10), x11proto-core-dev, libx11-dev, gettext
+Standards-Version: 4.0.0
 Homepage: http://www.yudit.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yudit.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/yudit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yudit.git/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/yudit.git
 
 Package: yudit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
-Recommends: unifont, gv, libhunspell-1.3-0, hunspell-en-us | hunspell-dictionary
+Recommends: unifont, gv, libhunspell-1.6-0, hunspell-en-us | hunspell-dictionary
 Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
 Description: Unicode text editor (arch-dependent binaries)
  yudit is a Unicode text editor for the X Window System. It does not need
