=== debian/watch ===
version=4
http://yudit.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
