=== bin/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 #
 # UNIDATA directory should have:
 # UnicodeData.txt
-# Unihan.txt
+# # Unihan.txt - obseleted eastasia wont be made
 # BidiMirroring.txt
 #
-VERSION=7.0.0
+VERSION=13.0.0
 UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)
 
 UNIDATA=$(UNIROOT)/ucd
@@ -41,6 +41,9 @@
 kmap: ../mytool/mys/shape.mys
 	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 
 
+Emoji: Emoji.txt
+	./simplemys.pl $< > ../mytool/mys/Emoji.mys
+
 #
 # This will create eastasia - that is obsolete
 # JIS0201.TXT can not be calculated....
