=== gui/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 TARGET=gui.lib
 OBJS=$(subst .o,.obj,$(TARGETOBJS))
 MAINOBJS=$(subst .o,.obj,$(MAINOBJ))
-SLIBS=/libpath:../stoolkit stoolkit.lib
+SLIBS=/libpath:../stoolkit stoolkit.lib /libpath:../addon addon.lib
 SWINLIBS=/libpath:../swindow  swindow.lib
 SWIDGETLIBS=/libpath:../swidget swidget.lib
 SGUILIBS=/libpath:../gui /subsystem:WINDOWS gui.lib 
@@ -25,10 +25,16 @@
 OBJS=$(TARGETOBJS)
 MAINOBJS=$(MAINOBJ)
 
-SLIBS=-L../stoolkit  -lstoolkit
-SWINLIBS=-L../swindow -lswindow 
+SLIBS=-L../stoolkit  -lstoolkit  -L../addon -laddon
 SWIDGETLIBS=-L../swidget -lswidget 
 SGUILIBS=-L../gui -lgui 
+
+ifeq ($(SWINDOWS),OSX)
+SWINLIBS=-L../swindow -lswindow -Wl,-framework,Cocoa
+else
+SWINLIBS=-L../swindow -lswindow
+endif
+
 MYLIBS=$(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
 RESOURCE=
 endif
