=== stoolkit/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
   STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
   STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
   SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \
+  SRectangle.o 
 
 
 SENC_OBJS= sencoder/SBEncoder.o \
@@ -43,11 +44,23 @@
   syntax/SPattern.o \
   syntax/SHunspellPattern.o
 
+SSEDY_OBJS= \
+  sedy/SSedy.o 
+
+# Can not distribute source code for cryptos, they can be added as so
+# to binary or compiled from source.
+ifeq ($(wildcard ../addon/yudit_sedy/yudit_sedy.h),../addon/yudit_sedy/yudit_sedy.h)
+SEDY_CPPFLAGS=-DSEDY_BUILT_IN=1
+else
+SEDY_CPPFLAGS=-DSEDY_BUILT_IN=0
+endif
+
+
 ifeq ($(SPLATFORM),WINDOWS)
-OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS))
+OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS)) $(patsubst sedy/%.o,%.obj,$(SSEDY_OBJS))
 TARGET=stoolkit.lib
 else
-OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS)
+OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS) $(SSEDY_OBJS)
 TARGET=libstoolkit.a
 endif
 
@@ -67,6 +80,9 @@
 syntax/%.o:syntax/%.cpp
 	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
+sedy/%.o:sedy/%.cpp
+	$(CXX) -c -o $@ $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+
 %.o:%.cpp
 	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .o,.cpp,$@)
 
@@ -79,11 +95,14 @@
 %.obj:syntax/%.cpp
 	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,syntax/%.cpp,$@)
 
+%.obj:sedy/%.cpp
+	$(CXX) -c $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.obj,sedy/%.cpp,$@)
+
 depend:
 	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend
 
 clean: 
-	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj
+	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj sedy/*.o sedy/*.obj
 
 install:
