=== svgicon/Makefile ===
SOURCES=$(wildcard *.svg)

CPPS=$(subst .svg,.cpp,$(SOURCES))

all: $(CPPS)

%.cpp:%.svg
	./svg2cpp.pl $(patsubst %.cpp,%.svg,$@) > $@

clean:
	rm -f $(CPPS)
