=== swidget/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
   STextList.o SListBox.o SIconFactory.o \
   SDialog.o STextDialog.o SFileDialog.o  \
   STextTable.o SDrawing.o SFreeHand.o \
+  SPasswordDialog.o
 
 
 TARGETDIR=
