=== swindow/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
  SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
  SFontFB.o SFontNative.o SPostscript.o \
  SPrinter.o SAccelerator.o SScriptProcessor.o  \
- SSyntaxColors.o
+ SSyntaxColors.o SFontCFF.o
 
 TARGETDIR=
 TARGETOBJS=
@@ -26,6 +26,15 @@
 CPPFLAGS:=$(CPPFLAGS) 
 endif
 
+ifeq ($(SWINDOWS),OSX)
+TARGETDIR:=$(TARGETDIR) sosx
+TARGETOBJS:=sosx/SOSX.o \
+  sosx/SCocoa.o \
+  sosx/SCocoaInput.o \
+  sosx/SKeyboard.o \
+  sosx/SEventOSX.o
+CPPFLAGS:=$(CPPFLAGS) -DUSE_OSX=1
+endif
 
 ifeq ($(SPLATFORM),WINDOWS)
 OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
@@ -52,6 +61,13 @@
 sx11/%.o:sx11/%.cpp
 	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
+sosx/%.o:sosx/%.cpp
+	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+
+#  -lobjc -lgnustep-base 
+sosx/%.o:sosx/%.mm
+	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.mm,$@)
+
 %.o:%.cpp
 	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)
