=== uniprint/Makefile ===
include ../Makefile.conf

MODULES=Main.o 

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
MYLIBS=/link /subsystem:CONSOLE $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
else
OBJS=$(MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWIDGETLIBS=-L../swidget -lswidget 
MYLIBS=$(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)

ifeq ($(SWINDOWS),OSX)
SWINLIBS=-L../swindow -lswindow -Wl,-framework,Cocoa
else
SWINLIBS=-L../swindow -lswindow
endif

endif

.PHONY:all clean config 

all:  uniprint

uniprint: $(OBJS)
	$(LD) -o uniprint $(OBJS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

install:
	rm -f $(DESTDIR)/$(bindir)/uniprint
	$(INSTALL_PROGRAM) uniprint $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) uniprint.1 $(DESTDIR)/$(mandir)/man1

clean: 
	rm -f *.o *.obj uniprint uniprint.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend


ifeq (.depend, $(wildcard .depend))
include .depend
endif
