=== mytool/kmap/Makefile ===

include ../../Makefile.conf

KMAPS=$(basename $(notdir $(wildcard *.kmap))) 

TARGET=$(addsuffix .my,$(KMAPS))

all: $(TARGET)

clean:
	rm -f *.my *.o *.bak message.txt core

# Update 2.6.4
# Removed clustering because now we can modify on the fly:
#
# Bengali.kmap Ben-Inscript.kmap 
# Devanagari.kmap Dev-Inscript.kmap Dev-Phonetic.kmap 
# Gujarati.kmap Guj-Inscript.kmap Gurmukhi.kmap 
# Gur-Inscript.kmap Oriya.kmap Ori-Inscript.kmap 
# Malayalam.kmap Mal-Inscript.kmap Telugu.kmap Tel-Inscript.kmap
# Kannada.kmap Kan-Inscript.kmap
#
#Any.my: Any.kmap
#	@echo Processing $< ...
#	$(MYTOOL) -type clkmap -kmap $< -rkmap $<  -write $@

#
# MiddleKorean clustering kmap
#
MiddleKorean.my: MiddleKorean.kmap
	@echo Processing $< ...
	$(MYTOOL) -type clkmap -kmap $< -rkmap $<  -write $@

%.my:%.kmap
	@echo Processing $< ...
	$(MYTOOL) -type kmap -kmap $< -rkmap $<  -write $@

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/src ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/src;fi 
	@echo Installing my files...
	@$(INSTALL_DATA) *.my  $(DESTDIR)/$(datadir)/yudit/data
	@echo Installing kmap files...
	@$(INSTALL_DATA) *.kmap  $(DESTDIR)/$(datadir)/yudit/src

depend:
