=== mytool/mys/Makefile ===
--- 
+++ 
@@ -26,6 +26,14 @@
 %.my:%.mys
 	@echo "Making $@ ..."
 	$(MYTOOL) -convert my -write $@ -mys $<
+
+Emoji.my:Emoji.mys
+	@echo "Making $@ ..."
+	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<
+
+OldHungarian.my:OldHungarian.mys
+	@echo "Making $@ ..."
+	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<
 
 OldItalic.my:OldItalic.mys
 	@echo "Making $@ ..."
