=== debian/changelog ===
yudit (3.0.7-3) unstable; urgency=medium

  * debian/copyright
    - Convert to copyright format 1.0

 -- Hideki Yamane <henrich@debian.org>  Tue, 30 Jun 2020 23:36:03 +0900

yudit (3.0.7-2) unstable; urgency=medium

  * debian/control
    - Update "Recommends: libhunspell-1.7-0", instead of 1.6-0
    - Set Multi-Arch: foreign for yudit-{common,doc}
  * debian/yudit-doc.{install,links}
    - Adjust yudit doc path issue (Closes: #742635)

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Jun 2020 10:10:57 +0900

yudit (3.0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patch

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Jun 2020 19:05:40 +0900

yudit (3.0.5-1) unstable; urgency=medium

  * New Upstream Version 3.0.5
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Wed, 03 Jun 2020 20:13:53 +0900

yudit (3.0.3-1) unstable; urgency=medium

  * New Upstream Version 3.0.3

 -- Hideki Yamane <henrich@debian.org>  Mon, 18 May 2020 21:54:19 +0900

yudit (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2

 -- Hideki Yamane <henrich@debian.org>  Mon, 18 May 2020 15:54:32 +0900

yudit (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Hideki Yamane <henrich@debian.org>  Thu, 14 May 2020 20:02:11 +0900

yudit (3.0.0-1) unstable; urgency=medium

  * New upstream release 3.0.0
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.7.8-1, 2.5-1.
  * Set debhelper-compat version in Build-Depends.
  * debian/patches
    - Refresh patches
    - Add 0005-fix-typo.patch
    - Rename install-png-to-pixmaps and install-icon.patch
  * debian/yudit-common.{dirs,install}
    - Adjust icon directory and add yudit.svg
  * debian/control
    - Set Standards-Version: 4.5.0
    - Bump up debhelper-compat (= 13)
  * debian/yudit-doc.install
    - Install more docs
  * debian/yudit.manpages
    - Just update install manpages to ignore dh_missing warning
  * debian/yudit.install
    - Install /usr/share/yudit/syntax/README.TXT
  * debian/yudit{,-common}.install
    - Move files from yudit to yudit-common
  * debian/yudit.desktop
    - Update desktop entry
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Mon, 11 May 2020 02:10:32 +0900

yudit (2.9.6-9) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:38:57 +0200

yudit (2.9.6-8) unstable; urgency=medium

  * debian/control
    - Move Vcs-* to salsa.debian.org
    - Set Standards-Version: 4.1.5
    - use dh11
    - use https for Homepage
  * debian/watch
    - use https for debian/watch

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Jul 2018 05:56:15 +0900
