=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 10), x11proto-core-dev, libx11-dev, gettext
-Standards-Version: 4.0.0
-Homepage: http://www.yudit.org
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yudit.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/yudit.git
+Build-Depends: debhelper-compat (= 13), x11proto-core-dev, libx11-dev, gettext
+Standards-Version: 4.5.0
+Homepage: https://www.yudit.org
+Vcs-Browser: https://salsa.debian.org/debian/yudit
+Vcs-Git: https://salsa.debian.org/debian/yudit.git
 
 Package: yudit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
-Recommends: unifont, gv, libhunspell-1.6-0, hunspell-en-us | hunspell-dictionary
+Recommends: unifont, gv, libhunspell-1.7-0, hunspell-en-us | hunspell-dictionary
 Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
 Description: Unicode text editor (arch-dependent binaries)
  yudit is a Unicode text editor for the X Window System. It does not need
@@ -24,6 +24,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
+Multi-Arch: foreign
 Description: Unicode text editor (arch-independent files)
  yudit is a Unicode text editor for the X Window System. It does not need
  localized environment or Unicode fonts. It supports simultaneous processing
@@ -37,6 +38,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Unicode text editor (Documentation)
  The unicode editor "yudit" has got a big documentation in lots of languages.
  After the installation, the documentation will be available in:
