=== debian/watch ===
version=4
https://yudit.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
